Retrieve a forecast
GET
/v1/forecast/{id}/
const url = 'https://example.com/v1/forecast/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/forecast/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single forecast by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this forecast.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
configuration
required
string format: uuid
failed_at
string format: date-time
failure_reason
not_enough_points- Not enough pointsinvalid_response- Invalid responseerror- Error
string
id
required
string format: uuid
modified_at
required
string format: date-time
points_collected
integer
points_expected
integer
predicted_critical_threshold
Predicted critical threshold datetime
string format: date-time
predicted_shortage
Predicted shortage datetime
string format: date-time
predicted_warning_threshold
Predicted warning threshold datetime
string format: date-time
promql_query
required
string
ran_at
string format: date-time
threshold_critical
number format: double
threshold_shortage
number format: double
threshold_warning
number format: double
Example
{ "failure_reason": "not_enough_points"}